Bug 220407 - x11-fm/thunar: Update to 1.6.12
Summary: x11-fm/thunar: Update to 1.6.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-xfce mailing list
URL:
Keywords: patch-ready
Depends on: 220805
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-01 05:06 UTC by Olivier Duchateau
Modified: 2017-09-18 15:12 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (xfce)


Attachments
Patch to update x11-fm/thunar (859 bytes, patch)
2017-07-01 05:06 UTC, Olivier Duchateau
no flags Details | Diff
Patch to update x11-fm/thunar (1.09 KB, patch)
2017-07-17 16:37 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau 2017-07-01 05:06:44 UTC
Created attachment 183974 [details]
Patch to update x11-fm/thunar

- Update to 1.6.12

This release contains the patch mentioned in bug #217946, comment #5

Note: tested with the newest dev panel API (available from 4.13.x).
Comment 1 Olivier Duchateau 2017-07-17 16:37:31 UTC
Created attachment 184443 [details]
Patch to update x11-fm/thunar

Remains unchanged as previously, except we use a freedesktop.org mail icon compliant (as in x11/libexo > 0.11.4, still devel release).
Comment 2 Olivier Duchateau 2017-07-17 16:39:12 UTC
Rebuild or update is required, because tumbler uses new API (GDbus instead of DBus GLib).
Comment 3 vermaden 2017-08-21 12:25:44 UTC
This update 1.6.12 still break the same as 1.6.11, details here:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=221679
Comment 4 commit-hook freebsd_committer 2017-09-18 15:12:16 UTC
A commit references this bug:

Author: madpilot
Date: Mon Sep 18 15:11:44 UTC 2017
New revision: 450044
URL: https://svnweb.freebsd.org/changeset/ports/450044

Log:
  - Update deskutils/xfce4-tumbler to 0.2.0 [1]
  - Update x11-fm/thunar 1.6.12 [2]
  - Silence USES portlint warning [2]
  - Regenerate patches [2]
  - Add warning about COVER tunar plugin requiring manual
    configuration [1]

  PR:		220805 [1], 220407 [2]
  Submitted by:	Olivier Duchateau <duchateau.olivier@gmail.com>

Changes:
  head/deskutils/xfce4-tumbler/Makefile
  head/deskutils/xfce4-tumbler/distinfo
  head/deskutils/xfce4-tumbler/files/patch-configure
  head/deskutils/xfce4-tumbler/files/patch-tumblerd__tumbler.rc
  head/deskutils/xfce4-tumbler/files/pkg-message.in
  head/deskutils/xfce4-tumbler/pkg-plist
  head/x11-fm/thunar/Makefile
  head/x11-fm/thunar/distinfo
  head/x11-fm/thunar/files/patch-configure
Comment 5 Guido Falsi freebsd_committer 2017-09-18 15:12:56 UTC
Committed. Thanks!